function love.load()
	require "game"
	require "main"
	require "menu"
	require "map"
	require "sprites"
	require "prototypes"
	require "player"


-- Grafiken laden
-- Spielmodus auf "spiel" setzen


	Spriteliste = {}
	table.insert(Spriteliste, player)
	
	shadow = Sprite:New()
	shadow.ox = 5
	shadow.oy = 3
	shadow.img = love.graphics.newImage('shadow.png')
	shadow.radius = shadow.ox/64
	function shadow:move()
	self.wx = player.wx
	self.wy = player.wy
	self.wz = zFromMapAndRadius(self.wx,self.wy,self.radius)
	end
	table.insert(Spriteliste, shadow)

	-- Preparing tiles
	love.graphics.setDefaultImageFilter("nearest", "nearest")
	kachelSet = love.graphics.newImage("kacheln.png")
	kachelSet:setFilter('nearest','nearest')
	kachelQuad = {}
	for i = 1,19 do
		kachelQuad[i] = love.graphics.newQuad((i-1)%8*128,math.floor((i-1)/8)*113,128,113,1024,339)
	end
	wand = love.graphics.newImage("wand.png")
	
	love.graphics.print('Loading Map',400,300)
	love.graphics.present()
	zmap = new_zmap(10,10)
	map = zmap_to_map(zmap)
	
	mapMaxZ = 10

	function loadTiles (b) map.tile = b end
	function loadZ (b) map.z = b end
	love.filesystem.load("level1.lua")()
	
	map = calculateWallHeight(map)
	
	love.graphics.print('Loading Map',400,300)
	love.graphics.print('Drawing Map',400,320)
	love.graphics.present()
	
	camx = 0
	camy = 0
	camwx = 0
	camwy = 0
	camwz = 0
	camwzAim = 0
	modus = 'game'
end

function love.update(dt)
	if modus == 'menu' then
		menu.update(dt)
	elseif modus == 'game' then
		game.update(dt)
	end	
end

function love.draw()
	if modus == 'menu' then
		menu.draw()
	elseif modus == 'game' then
		game.draw()
	end	
end

function love.keypressed(key)
	if modus == 'menu' then
		menu.keypressed(key)
	elseif modus == 'game' then
		game.keypressed(key)
	end	
end




